Bug 700027 - anaconda traceback AttributeError: 'NoneType' object has no attribute 'format' in nextClicked
anaconda traceback AttributeError: 'NoneType' object has no attribute 'format...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
15
powerpc Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-27 06:09 EDT by Karsten Hopp
Modified: 2011-10-21 09:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-21 09:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda traceback (653.45 KB, text/plain)
2011-04-27 06:10 EDT, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2011-04-27 06:09:45 EDT
Description of problem:
anaconda 15.27 tracebacks on a PowerMac G5, full logs attached
Comment 1 Karsten Hopp 2011-04-27 06:10:44 EDT
Created attachment 495162 [details]
anaconda traceback
Comment 2 Brian Lane 2011-04-27 19:49:19 EDT
Dave, 
It is using /dev/hda as the mediaDevice, the getDeviceByName call is returning None so we get a traceback. I also see it says hda in ignoredDisks, I'm not sure if that's related.
Comment 3 David Lehman 2011-05-03 12:44:20 EDT
Is /dev/hda a CDROM? If so, it should have an ID_CDROM entry in its udev db entry. That would make this a udev bug.
Comment 4 Karsten Hopp 2011-05-03 12:50:37 EDT
yes, hda is a CDROM. Changing component to udev
Comment 5 Harald Hoyer 2011-05-04 04:38:36 EDT
Oh.. wow.. hd* still exists???? How come? We have thrown out every hd* handling in udev.
Comment 6 Fedora Admin XMLRPC Client 2011-10-20 12:08:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-10-20 12:10:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-10-20 12:12:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-10-20 12:17:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Harald Hoyer 2011-10-21 06:00:17 EDT
So... what's the strategy here?
Comment 11 Karsten Hopp 2011-10-21 08:30:51 EDT
we've made the pmac-ide driver a module instead of compiling it into the kernel. now ide-sata takes precedence and the CDROM shows up as sr0. This bug report can be closed, unless you still want to have a look at it.

Note You need to log in before you can comment on or make changes to this bug.